libffado2_2.4.1-0.1_i386.deb


Advertisement

Description

libffado2 - FFADO API

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libffado2_2.4.1-0.1_i386.deb
Package name libffado2
Package version 2.4.1
Package release 0.1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.ffado.org/
License -
Maintainer Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Download size 652.36 KB
Installed size 2.36 MB
FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
The FFADO library permits discovering and configuring such
devices and provides an API for streaming clients.
This package holds the shared library.

Alternatives

Package Version Architecture Repository
libffado2_2.4.1-0.1_amd64.deb 2.4.1 amd64 Debian Main
libffado2 - - -

Requires

Name Value
libc6 >= 2.4
libconfig++9v5 >= 1.5-0.4~
libgcc1 >= 1:4.2
libglibmm-2.4-1v5 >= 2.54.0
libiec61883-0 >= 1.2.0
libraw1394-11 -
libstdc++6 >= 5.2
libxml++2.6-2v5 >= 2.40.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libffado2_2.4.1-0.1_i386.deb
Source Package libffado

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libffado2 deb package:
    # sudo apt-get install libffado2

Files

Path
/lib/udev/rules.d/60-ffado.rules
/usr/lib/i386-linux-gnu/libffado.so.2
/usr/lib/i386-linux-gnu/libffado.so.2.4.1
/usr/share/doc/libffado2/AUTHORS
/usr/share/doc/libffado2/README.gz
/usr/share/doc/libffado2/changelog.Debian.gz
/usr/share/doc/libffado2/changelog.gz
/usr/share/doc/libffado2/copyright
/usr/share/libffado2/configuration

Changelog

2018-04-19 - Nicolas Boulenguez <nicolas@debian.org>
libffado (2.4.1-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release. Closes: #887846.
Drop sconstruct.patch, applied upstream.
* Switch watch file to format 4.
* Remove obsolete control.in.
The last motivation seems to be @cdbs@, now unused.
* Remove debian/*.dirs, obsolete with recent debhelper.
* Delete trailing whitespaces in this changelog.
* Drop ffado.1 uninstalled Debian manpage.
* Pass Debian build flags to scons and show them in log.
This probably fixes #864717.
Enable all hardening flags.
Link with --as-needed in order to reduce dependencies.
* Build-Dependencies: drop dh-exec (looking for a maintainer).
Sort, drop autotools-dev, dh-buildinfo (see  2.3.0-1 and -3).
* Also drop licensecheck, a long warning about it being unavailable
is better than a short failure report.
* Standards-version: 4.1.4.
* Move ffado-debug manual page to the package providing the executable.
Break/Replace accordingly.
* Replace Debian manpages with upstream manpages when available.
Move manpages to a subdirectory to simplify packaging.
* Check and update the copyright file.
* Clean all *.pyc instead of only one.
* rules: always call scons with same arguments.
* rules: drop makeshlib version argument.
Redundant with "Depend: libffado2 (=${binary:Version}".
* rules: report failures (mkdir -p, rm -f report unexpected problems).
* Drop unneeded shlib:Depends.
-dev does not provide binaries, mixer is arch-independent.
* Switch to python3 and qt4.
* Improve generation of the debug library variant.
Split build and install steps again.
Avoid building twice during -indep builds.
Let the debug library be a Make target, avoiding two scons rebuilds in
case of error in later steps.
* Style. Drop debian/tmp/ prefix from debian/*.install.
* Move the debug library into ffado-tools package.
Almost no user will ever use the debug library without the ffado-debug
wrapper, and most people installing libffado2 loose space for no purpose.
The break/replace dependency already exists, see above.
* .gitignore: keep upstream .gitignore untouched.
* Lintian override explaining why ffado-tools:
package-has-unnecessary-activation-of-ldconfig-trigger
cannot be fixed inside ffado.
* Minor fixes in dependencies.
An explicit python interpreter is redundant with ${python3:Depends}.
The 2.4.1~ snapshots should not conflict with themselves.
* Ensure AUTHORS and README will be installed with debhelper >= 11.
For now, debhelper automatically embeds them in every package.
* Remove obsolete parts of debian/rules.
DEB_CLEAN_EXCLUDE is older than the VCS.
Without it, "rm -f $(DEB_DESTDIR)" is not needed anymore.
DEB_PYTHON3_MODULE_PACKAGES is used for binary packages containing
python modules, not for an executable.
cdbs seems to create DEB_DESTDIR by itself.
cdbs knows that reverse-config should be executed before clean.
config.log scache.conf .sconf_temp are not created anymore.
* Install mixer icon for desktop file. Closes: #834140.
* Upstream has accepted to remove locale dependency from static_info.txt
for reproducible contents, and to install it into /usr/lib.
It may be installed into the binary packages again.
[Felipe Sateler]
* Change maintainer address to debian-multimedia@lists.debian.org.
2018-02-25 - Adrian Knoth <adi@drcomp.erfurt.thur.de>
libffado (2.4.0-2) unstable; urgency=medium
* Update Vcs tags to point at salsa
* Backport debian/control to debian/control.in
* Regenerate debian/control

See Also

Package Description
libffcall-dev_2.1-2_i386.deb foreign function call libraries - development files
libffcall1-dev_2.1-2_all.deb foreign function call libraries - transitional package
libffcall1b_2.1-2_i386.deb foreign function call libraries - main shared library
libffi-checklib-perl_0.23-1_all.deb module to check availability of a library for FFI
libffi-dev_3.2.1-9_i386.deb Foreign Function Interface library (development files)
libffi-platypus-perl_0.83-1_i386.deb module to create Perl bindings to non-Perl libraries with FFI
libffi6_3.2.1-9_i386.deb Foreign Function Interface library runtime
libffindex0-dev_0.9.9.9-2_i386.deb library for simple index/database for huge amounts of small files (development)
libffindex0_0.9.9.9-2_i386.deb library for simple index/database for huge amounts of small files
libffmpegthumbnailer-dev_2.1.1-0.2+b1_i386.deb development files for ffmpegthumbnailer
libffmpegthumbnailer4v5_2.1.1-0.2+b1_i386.deb shared library for ffmpegthumbnailer
libffms2-4_2.23-4_i386.deb Cross platform ffmpeg wrapper library
libffms2-dev_2.23-4_i386.deb Development files for libffms2
libfftw3-3_3.3.8-2_i386.deb Library for computing Fast Fourier Transforms
libfftw3-bin_3.3.8-2_i386.deb Library for computing Fast Fourier Transforms - Tools
Advertisement
Advertisement